com.thinkaurelius.titan.util.datastructures

## Class IntHashSet

- java.lang.Object
- - com.carrotsearch.hppc.IntIntOpenHashMap
  - - com.thinkaurelius.titan.util.datastructures.IntHashSet

- All Implemented Interfaces:
    com.carrotsearch.hppc.IntIntAssociativeContainer, com.carrotsearch.hppc.IntIntMap, IntSet, Cloneable, Iterable<com.carrotsearch.hppc.cursors.IntIntCursor>

      public class IntHashSet
      extends com.carrotsearch.hppc.IntIntOpenHashMap
      implements IntSet

  Implementation of `IntSet` against `IntIntOpenHashMap`.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.carrotsearch.hppc.IntIntOpenHashMap

      `com.carrotsearch.hppc.IntIntOpenHashMap.KeysContainer`

  - ### Field Summary

    - ### Fields inherited from class com.carrotsearch.hppc.IntIntOpenHashMap

      `allocated, assigned, DEFAULT_CAPACITY, DEFAULT_LOAD_FACTOR, keys, loadFactor, MIN_CAPACITY, values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntHashSet()`
    `IntHashSet(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(int value)`
    `boolean` | `addAll(int[] values)`
    `boolean` | `contains(int value)`
    `boolean` | `equals(Object other)`
    `int[]` | `getAll()`
    `int` | `hashCode()`
    `int` | `size()`

    - ### Methods inherited from class com.carrotsearch.hppc.IntIntOpenHashMap

      `clear, clone, containsKey, forEach, from, from, get, isEmpty, iterator, keys, lget, lset, newInstance, newInstance, nextCapacity, put, putAll, putAll, putIfAbsent, putOrAdd, remove, removeAll, removeAll, roundCapacity, shiftConflictingKeys, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntHashSet

          public IntHashSet()

    - #### IntHashSet

          public IntHashSet(int size)

  - ### Method Detail

    - #### add

          public boolean add(int value)

      Specified by:
        `add` in interface `IntSet`

    - #### addAll

          public boolean addAll(int[] values)

      Specified by:
        `addAll` in interface `IntSet`

    - #### contains

          public boolean contains(int value)

      Specified by:
        `contains` in interface `IntSet`

    - #### getAll

          public int[] getAll()

      Specified by:
        `getAll` in interface `IntSet`

    - #### size

          public int size()

      Specified by:
        `size` in interface `com.carrotsearch.hppc.IntIntAssociativeContainer`
      Specified by:
        `size` in interface `IntSet`
      Overrides:
        `size` in class `com.carrotsearch.hppc.IntIntOpenHashMap`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.carrotsearch.hppc.IntIntMap`
      Overrides:
        `hashCode` in class `com.carrotsearch.hppc.IntIntOpenHashMap`

    - #### equals

          public boolean equals(Object other)

      Specified by:
        `equals` in interface `com.carrotsearch.hppc.IntIntMap`
      Overrides:
        `equals` in class `com.carrotsearch.hppc.IntIntOpenHashMap`

Copyright © 2012–2014. All rights reserved.